package notifications

import (
	"context"

	"github.com/tech/sendico/pkg/model"
)

type PaymentGatewayIntentHandler = func(context.Context, *model.PaymentGatewayIntent) error

type PaymentGatewayExecutionHandler = func(context.Context, *model.PaymentGatewayExecution) error
